Skip to main content
POST
/
api
/
v1
/
merchant
/
webhooks
Register a webhook
curl --request POST \
  --url https://payments.oaknetwork.org/api/v1/merchant/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com/webhooks/crowdsplit",
  "description": "Production webhook endpoint"
}
'
{
  "msg": "<string>",
  "data": {
    "secret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Body

application/json
url
string
required

Webhook endpoint URL

Maximum string length: 255
description
string

Webhook description

Maximum string length: 255

Response

Webhook registered. Secret is only shown once.

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)